#define VELOCITY 
/* 
selects the rhs with velocities and may emit optimized code
required by MACSIMUS
cf. Lagrange and Hamilton in old MACSIMUS (or peo*.c project)
! not checked without VELOCITY recently !
*/

/* MAXGEARORDER is #defined in simglob.h */

extern struct gear_s {
  double P[MAXGEARORDER]; /* coefficients modifying the predictor for init>0
                             the default = standard Gear = 1,1,1.. */
  double C[MAXGEARORDER]; /* corrector coefficients to be changed for init>0
unchanged coefficients  */

  int init; 
  /* init=-1: use the old code (optimized for GearOrder=4, change of
              parameters is not supported) and the Gear's velocity versions
              of the integrator (coefficient C0)
     init=-2: as above and the no-velocity versions of the integrator
     init=#:  use the new development code with the Gear's no-velocity
              coefficients corresponding to order # (must be
              #<GearOrder=option -m)
              It is possible to change the predictor (array P) and
              corrector (array C)
              init=0 is set
     init=0:  use the new development code (assumed to be initialized as
              above)
    Example:  -m5 and gear.init=4 and gear.P[4]=0 == -m4 and init=-2

 */
  int lastorder; /* to check; NB: change of GearOrder (= option -m) not allowed */
} gear;

/* legacy name GearOrder: 1=read plb, 2=Verlet, 3 and more = Gear */
#define GearOrder option('m')

#ifndef POLAR
void Gear(int neq,ToIntPtr *a);
#else
void Gear2pol(int neq,int nself,int predorder,int predlength,ToIntPtr *a);
#endif
